###  for PCLinuxOS  ###

%define  GTKMDKDATE  20091029
%define  MENUDATE    20100829

Name:     pclinuxos-menu-messages
Summary:  Localization files for Menu system
Version:  2011
Release:  1.1.nora13
License:  GPL
Group:    System/Base

Source0:  menu-messages-%{MENUDATE}.tar.xz
Source1:  gtk+mdk-%{GTKMDKDATE}.tar.bz2
Patch99:  menu-messages-ja_po.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gettext
BuildRequires:  intltool
BuildArch:  noarch
Obsoletes:  mdk-menu-messages
Obsoletes:  menu-messages 
Provides:   mdk-menu-messages = %{version}-%{release}
Provides:   menu-messages = %{version}-%{release}

%description
This package includes that translations of the main menu used by the different desktops and window managers of the distribution;
as well as translations used by specifically added features.


%prep
%setup -q -n menu-messages -a 1
%patch99 -p0


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale

# make po_files
for i in ./*.po
do
  langdir="$RPM_BUILD_ROOT%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
  mkdir -p ${langdir}
  msgfmt -o	${langdir}/menu-messages.mo ${i}
done

# gtk+mdk files
for i in GtkMdkWidgets/*.po
do
  langdir="$RPM_BUILD_ROOT%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
  mkdir -p ${langdir}
  msgfmt -o	${langdir}/gtk+mdk.mo ${i}
done

%find_lang %{name} menu-messages gtk+mdk


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_datadir}/locale/*


%changelog
* Wed Dec 11 2013 tomcat <webmaster2@tomcat.nyanta.jp> 2011-1.1.nora13
- add Patch99 for Japanese

* Tue Jun 21 2011 Texstar <texstar at gmail.com> 2011-1pclos2011
- update for 2011

* Fri Nov 17 2006 Texstar <texstar@houston.rr.com> 2007-4pclos2007
- fix missing directory

* Fri Nov 17 2006 Texstar <texstar@houston.rr.com> 2007-3pclos2007
- Build for PCLinuxOS 2007

